package edu.harvard.mgh.purcell.gplink.mainGUI;

import javax.swing.JOptionPane;

/**
 * A wrapper class for JOptionPane that displays our gPLINK
 * errors.
 * @author Kathe
 *
 */
public class ErrorDialog {

	public ErrorDialog(MainFrame frame, String message){
		//split the message at the white spaces and
		//...put the message back together such that
		//...there is a \n atleast every 20 charactures
		int max_line_length = 30;
		if(message.length() > max_line_length){
			
			int index = max_line_length - 1;
			while(index < message.length()){
				if(message.charAt(index) == (' ')){
					message = message.substring(0, index) + " \n"
						+ message.substring(index, message.length());
					index = index + max_line_length;
				}
				else{
					index ++;
					
				}
			}
		}
		
		JOptionPane.showMessageDialog(frame,
			    message,
			    "GPLINK error",
			    JOptionPane.ERROR_MESSAGE);
	}
	
	public static void main(String[] args) {
		new ErrorDialog(null, "1234567890 1234567890 1234567890 1234567890 1234567890");
		
	}
}
